> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/dsx-air/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/dsx-air/_mcp/server.

# List links

GET https://api.dsx-air.nvidia.com/api/v3/simulations/nodes/interfaces/links/

List links that belong to simulations you have read access to. Results are paginated.

**Required scope:** `air:simulation_read` (roles: `air_org_admin`, `air_user`)

**Alternative:** role `air_trainee` also grants access.

Reference: https://docs.nvidia.com/dsx-air/api-reference/interfaces/api-v-3-simulations-nodes-interfaces-links-list

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `interface` (string, optional) — Lookup all links for a specific `interface`.
- `limit` (integer, optional) — Number of results to return per page.
- `node` (string, optional) — Lookup all links for a specific `node`.
- `offset` (integer, optional) — The initial index from which to return the results.
- `ordering` (enum, optional) — Order objects by field. Prefix with `-` for descending order.
  - Allowed values: `-created`, `-modified`, `created`, `modified`
- `search` (string, optional) — Search by `name` or `node_name`.
- `simulation` (string, optional) — Lookup all links for a specific `simulation`.

## Response

### 200

- `count` (integer, required)
- `results` (list of object, required)
  - `id` (string, required)
  - `created` (datetime, required)
  - `modified` (datetime, required)
  - `interfaces` (list of object, required) — The two interfaces connected by this link.
    - `id` (string, required)
    - `name` (string, required)
    - `node_name` (string, required) — The name of the node the interface is on.
    - `split` (string, optional, nullable) — Breakout factor of the interface: the split bucket of the platform port map the interface belongs to ('1' = un-split, e.g. '2', '4', '8'). `None` means the interface is not governed by a platform port map.
  - `labels` (object, optional, nullable) — Labels/properties of the link, such as cable_length.
    - `cable_length` (string, optional) — The length of the cable connecting the interfaces.
- `next` (string, optional, nullable)
- `previous` (string, optional, nullable)

## Errors

### 400 Bad Request Error

- `detail` (string, required) — Description of an error.
- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.
- `type` (enum, required) — Specific type of a 400 error. * `PROTECTED` - Instance may not be deleted as it is being referenced by other instances. * `VALIDATION` - Validation errors encountered during payload processing.
  - Allowed values: `PROTECTED`, `VALIDATION`
- `protected_instances` (list of object, optional) — Instances which bar the current instance from being deleted. Only defined when `type` is set to `PROTECTED`.
  - `id` (string, required) — ID of the instance.
  - `type` (string, required) — Type of the instance.
- `validation_errors` (map from string to list of object or object or map from string to any or list of object, optional) — Validation errors encountered during payload processing. Only defined when `type` is set to `VALIDATION`.

### 403 Forbidden Error

- `detail` (string, required) — Description of an error.
- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.

### 500 Internal Server Error

- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.
- `code` (string, required) — Error code which identifies the error. Should be provided when opening a support case.
- `detail` (string, optional, default: An unexpected error has occurred. Please contact NVIDIA Air support for further assistance.) — Description of an error.

## Examples

**Response**

```json
{
  "count": 123,
  "results": [
    {
      "id": "string",
      "created": "2024-01-15T09:30:00Z",
      "modified": "2024-01-15T09:30:00Z",
      "interfaces": [
        {
          "id": "string",
          "name": "string",
          "node_name": "string",
          "split": "string"
        }
      ],
      "labels": {
        "cable_length": "string"
      }
    }
  ],
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100"
}
```

**SDK Code**

```python
import requests

url = "https://api.dsx-air.nvidia.com/api/v3/simulations/nodes/interfaces/links/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.dsx-air.nvidia.com/api/v3/simulations/nodes/interfaces/links/';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.dsx-air.nvidia.com/api/v3/simulations/nodes/interfaces/links/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.dsx-air.nvidia.com/api/v3/simulations/nodes/interfaces/links/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.dsx-air.nvidia.com/api/v3/simulations/nodes/interfaces/links/")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.dsx-air.nvidia.com/api/v3/simulations/nodes/interfaces/links/', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.dsx-air.nvidia.com/api/v3/simulations/nodes/interfaces/links/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.dsx-air.nvidia.com/api/v3/simulations/nodes/interfaces/links/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```